
https://github.com/RolnickLab/constrained-downscaling


## About

A project on how to incorporate physics constraints into deep learning architectures for downscaling or other super--resolution tasks.


# Physics-constrained deep learning for climate downscaling

This code belongs to a paper currently under review, a preprint can be found at: [https://arxiv.org/pdf/2208.05424.pdf](https://arxiv.org/pdf/2208.05424.pdf)

Abstract: _The availability of reliable, high-resolution climate and weather data is important to inform long-term decisions on climate adaptation and mitigation and to guide rapid responses to extreme events. Forecasting models are limited by computational costs and, therefore, often generate coarse-resolution predictions. Statistical downscaling can provide an efficient method of upsampling low-resolution data. In this field, deep learning has been applied successfully, often using image super-resolution methods from computer vision. However, despite achieving visually compelling results in some cases, such models frequently violate conservation laws when predicting physical variables. In order to conserve physical quantities, we develop methods that guarantee physical constraints are satisfied by a deep learning downscaling model while also improving their performance according to traditional metrics. We compare different constraining approaches and demonstrate their applicability across different neural architectures as well as a variety of climate and weather data sets. While our novel methodologies enable faster and more accurate climate predictions, we also show how they can improve super-resolution for satellite data and standard data sets._
